> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stashy.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a File

> Download a file from storage.



## OpenAPI

````yaml GET /v1/files/{id}
openapi: 3.1.0
info:
  title: Stashy API
  version: 1.0.0
servers:
  - url: https://stashy.example.com
    description: Your Stashy instance
security:
  - BearerAuth: []
paths:
  /v1/files/{id}:
    get:
      summary: GetFile
      description: Download a file from storage.
      operationId: StorageService_GetFile
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: File content
          content:
            '*/*':
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````